import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:vid_player_demo/controller/player_controller.dart';
import 'package:vid_player_demo/pages/scene_player/view.dart';

class ScenePlayerPage extends StatelessWidget {
  ScenePlayerPage({Key? key}) : super(key: key);
  final vidURL = "http://cdn-bj.fis.plus/093BE20682B14BFB95D811F221A2B2FD.vid";
  final _playerStateController = Get.put(PlayerStateController());
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text("基于Scene的播放器"),
      ),
      body: ScenePlayerView(vidURL),
    );
  }
}
